<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final String title = "Pause settings";
%>
<base:page type="popup" title="<%=title%>">
<base:head 
	scripts="~pause-settings.js,~../reggie-2.js"
	styles="~../css/reggie-2.css"
>
<style>
.site
{
	padding: 2px;
}
.site input
{
	margin-right: 0.5em;
}

.site :checked + label
{
	font-weight: bold;
	color: #A0A0A0;
}

</style>

</base:head>
<base:body>
	<h1><%=title %></h1>

	<form name="reggie" id="wizard">
	<div class="content bottomborder">
		<table class="fullform input100 step-form">
		<tr class="big">
			<th>Sites</th>
			<td>
				<div id="siteList"></div>
			</td>
		</tr>
		<tr class="dynamic">
			<th></th>
			<td>
			<div id="wizard-status"></div>
			</td>
		</tr>
		</table>
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnSave" title="Save" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>